



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>使用Python操作Redis</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">使用Python操作Redis</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-30 23:57:42 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>1. 安装pyredis</p>
<div>
<p>首先安装pip</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
</div>
</td>
<td>
<div>
<div>&lt;SHELL&gt;# apt-get install python-pip</div>
<div>......</div>
<div>&lt;SHELL&gt;# pip install --proxy=http://172.1.2.6:8080 redis</div>
<div>&nbsp;&nbsp;Downloading redis-2.9.1.tar.gz (62kB): 62kB downloaded</div>
<div>&nbsp;&nbsp;Running setup.py (path:/tmp/pip_build_root/redis/setup.py) egg_info for package redis</div>
<div>&nbsp;&nbsp;......</div>
<div>&nbsp;&nbsp;Successfully installed redis</div>
<div>&nbsp;&nbsp;Cleaning up...</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>也可以使用easy_install的方式来安装：</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
</div>
</td>
<td>
<div>
<div>easy_install redis</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>或者直接编译安装：</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</div>
</td>
<td>
<div>
<div>wget https://pypi.python.org/packages/source/r/redis/redis-2.9.1.tar.gz</div>
<div>tar xvzf redis-2.9.1.tar.gz</div>
<div>cd redis-2.9.1</div>
<div>python setup.py install</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<h2>2 . 简单的redis操作</h2>
<p>redis连接实例是线程安全的，可以直接将redis连接实例设置为一个全局变量，直接使用。如果需要另一个Redis实例（or Redis数据库）时，就需要重新创建redis连接实例来获取一个新的连接。同理，python的redis没有实现select命令。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
<div>13</div>
<div>14</div>
<div>15</div>
<div>16</div>
<div>17</div>
<div>18</div>
<div>19</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; import redis</div>
<div>&gt;&gt;&gt; r = redis.Redis(host='localhost',port=6379,db=0)</div>
<div>&gt;&gt;&gt; r.set('guo','shuai')</div>
<div>True</div>
<div>&gt;&gt;&gt; r.get('guo')</div>
<div>'shuai'</div>
<div>&gt;&gt;&gt; r['guo']&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
<div>'shuai'</div>
<div>&gt;&gt;&gt; r.keys()</div>
<div>['guo']</div>
<div>&gt;&gt;&gt; r.dbsize()&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #当前数据库包含多少条数据&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </div>
<div>1L</div>
<div>&gt;&gt;&gt; r.delete('guo')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.save()&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #执行&ldquo;检查点&rdquo;操作，将数据写回磁盘。保存时阻塞</div>
<div>True</div>
<div>&gt;&gt;&gt; r.get('guo');</div>
<div>&gt;&gt;&gt; r.flushdb()&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#清空r中的所有数据</div>
<div>True</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<h2>3. pipeline操作</h2>
<p>管道（pipeline）是redis在提供单个请求中缓冲多条服务器命令的基类的子类。它通过减少服务器-客户端之间反复的TCP数据库包，从而大大提高了执行批量命令的功能。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; p = r.pipeline()&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;--创建一个管道</div>
<div>&gt;&gt;&gt; p.set('hello','redis')</div>
<div>&gt;&gt;&gt; p.sadd('faz','baz')</div>
<div>&gt;&gt;&gt; p.incr('num')</div>
<div>&gt;&gt;&gt; p.execute()</div>
<div>[True, 1, 1]</div>
<div>&gt;&gt;&gt; r.get('hello')</div>
<div>'redis'</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>管道的命令可以写在一起，如：</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; p.set('hello','redis').sadd('faz','baz').incr('num').execute()</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>默认的情况下，管道里执行的命令可以保证执行的原子性，执行pipe = r.pipeline(transaction=False)可以禁用这一特性。</p>
<h2>4. 应用场景 &ndash; 页面点击数</h2>
<p>《Redis Cookbook》对这个经典场景进行详细描述。假定我们对一系列页面需要记录点击次数。例如论坛的每个帖子都要记录点击次数，而点击次数比回帖的次数的多得多。如果使用关系数据库来存储点击，可能存在大量的行级锁争用。所以，点击数的增加使用redis的INCR命令最好不过了。<br />当redis服务器启动时，可以从关系数据库读入点击数的初始值（1237这个页面被访问了34634次）</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.set("visit:1237:totals",34634)</div>
<div>True</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>每当有一个页面点击，则使用INCR增加点击数即可。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.incr("visit:1237:totals")</div>
<div>34635</div>
<div>&gt;&gt;&gt; r.incr("visit:1237:totals")</div>
<div>34636</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>页面载入的时候则可直接获取这个值</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.get ("visit:1237:totals")</div>
<div>'34636'</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<h2>5. 使用hash类型保存多样化对象</h2>
<p>当有大量类型文档的对象，文档的内容都不一样时，（即&ldquo;表&rdquo;没有固定的列），可以使用hash来表达。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.hset('users:jdoe',&nbsp;&nbsp;'name', "John Doe")</div>
<div>1L</div>
<div>&gt;&gt;&gt; r.hset('users:jdoe', 'email', 'John@test.com')</div>
<div>1L</div>
<div>&gt;&gt;&gt; r.hset('users:jdoe',&nbsp;&nbsp;'phone', '1555313940')</div>
<div>1L</div>
<div>&gt;&gt;&gt; r.hincrby('users:jdoe', 'visits', 1)</div>
<div>1L</div>
<div>&gt;&gt;&gt; r.hgetall('users:jdoe')</div>
<div>{'phone': '1555313940', 'name': 'John Doe', 'visits': '1', 'email': 'John@test.com'}</div>
<div>&gt;&gt;&gt; r.hkeys('users:jdoe')</div>
<div>['name', 'email', 'phone', 'visits']</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<h2>6. 应用场景 &ndash; 社交圈子数据</h2>
<p>在社交网站中，每一个圈子(circle)都有自己的用户群。通过圈子可以找到有共同特征（比如某一体育活动、游戏、电影等爱好者）的人。当一个用户加入一个或几个圈子后，系统可以向这个用户推荐圈子中的人。<br />我们定义这样两个圈子,并加入一些圈子成员。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.sadd('circle:game:lol','user:debugo')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.sadd('circle:game:lol','user:leo')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.sadd('circle:game:lol','user:Guo')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.sadd('circle:soccer:InterMilan','user:Guo')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.sadd('circle:soccer:InterMilan','user:Levis')</div>
<div>1</div>
<div>&gt;&gt;&gt; r.sadd('circle:soccer:InterMilan','user:leo')</div>
<div>1</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>#获得某一圈子的成员</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.smembers('circle:game:lol')</div>
<div>set(['user:Guo', 'user:debugo', 'user:leo'])</div>
<div>redis&gt; smembers circle:jdoe:family&nbsp;&nbsp;&nbsp;&nbsp;</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>可以使用集合运算来得到几个圈子的共同成员：</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</div>
</td>
<td>
<div>
<div>&gt;&gt;&gt; r.sinter('circle:game:lol', 'circle:soccer:InterMilan')</div>
<div>set(['user:Guo', 'user:leo'])</div>
<div>&gt;&gt;&gt; r.sunion('circle:game:lol', 'circle:soccer:InterMilan')</div>
<div>set(['user:Levis', 'user:Guo', 'user:debugo', 'user:leo'])</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<h2>7. 应用场景 &ndash; 实时用户统计</h2>
<p><a href="http://flask.pocoo.org/snippets/71/" rel="external nofollow noreferrer">Counting Online Users with Redis</a>介绍了这个方法。当我们需要在页面上显示当前的在线用户时，就可以使用Redis来完成了。首先获得当前时间（以Unix timestamps方式）除以60，可以基于这个值创建一个key。然后添加用户到这个集合中。当超过你设定的最大的超时时间，则将这个集合设为过期；而当需要查询当前在线用户的时候，则将最后N分钟的集合交集在一起即可。由于redis连接对象是线程安全的，所以可以直接使用一个全局变量来表示。</p>
<div>
<div>&nbsp;</div>
<div>
<table>
<tbody>
<tr>
<td>
<div>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
<div>13</div>
<div>14</div>
<div>15</div>
<div>16</div>
<div>17</div>
<div>18</div>
<div>19</div>
<div>20</div>
<div>21</div>
<div>22</div>
<div>23</div>
<div>24</div>
<div>25</div>
<div>26</div>
<div>27</div>
<div>28</div>
<div>29</div>
</div>
</td>
<td>
<div>
<div>import time</div>
<div>from redis import Redis</div>
<div>from datetime import datetime</div>
<div>ONLINE_LAST_MINUTES = 5</div>
<div>redis = Redis()</div>
<div>&nbsp;</div>
<div>def mark_online(user_id):&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #将一个用户标记为online</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;now = int(time.time())&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#当前的UNIX时间戳</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;expires = now + (app.config['ONLINE_LAST_MINUTES'] * 60) + 10&nbsp;&nbsp;&nbsp;&nbsp;#过期的UNIX时间戳</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;all_users_key = 'online-users/%d' % (now // 60)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#集合名，包含分钟信息</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;user_key = 'user-activity/%s' % user_id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p = redis.pipeline()</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p.sadd(all_users_key, user_id)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #将用户id插入到包含分钟信息的集合中</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p.set(user_key, now)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #记录用户的标记时间</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p.expireat(all_users_key, expires)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #设定集合的过期时间为UNIX的时间戳</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p.expireat(user_key, expires)</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;p.execute()</div>
<div>&nbsp;</div>
<div>def get_user_last_activity(user_id):&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#获得用户的最后活跃时间</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;last_active = redis.get('user-activity/%s' % user_id)&nbsp;&nbsp;#如果获取不到，则返回None</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;if last_active is None:</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;return None</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;return datetime.utcfromtimestamp(int(last_active))</div>
<div>&nbsp;</div>
<div>def get_online_users():&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #获得当前online用户的列表</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;current = int(time.time()) // 60&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;minutes = xrange(app.config['ONLINE_LAST_MINUTES'])</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;return redis.sunion(['online-users/%d' % (current - x)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#取ONLINE_LAST_MINUTES分钟对应集合的交集</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; for x in minutes])</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9pw17k8.html">appach2&period;4 &plus; php7 &plus;mysql5&period;7&period;14 配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/m967mx48.html">tomcat404报错解决</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlnn2x8.html">iOS 面试题（三）：为什么 weakSelf 需要配合 strong self 使用 --转自唐巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8en45j8.html">用运算符代替if、else</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn16v5k8.html">PAT 1018&period; Public Bike Management</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdegvd8.html">显示查询记录的前n条 mysql limit用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey1dwz9.html">Ubuntu12&period;04下载Repo</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo4x11q.html">GRPC在NET上的实践（记录篇）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk51ld8.html">表单格式化插件jquery&period;serializeJSON</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1n7m1q.html">Problem 4&colon; Largest palindrome product</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wy40gq.html">1，charles的功能能介绍和安装破解</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25j76vq.html">zepto 源码 &dollar;&period;contains 学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2npvx9.html">批处理-For详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/960xz6v9.html">mongodb-参考其他</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1vz769.html">mongodb带认证的副本集搭建</a>
		</li>
						<li><a href="https://www.batexi.com/a/9537jje8.html">第二章：走进shell</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjlv7zq.html">汉字转拼音的Java类库&mdash;&mdash;JPinyin</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj1gxzq.html">在C语言中实现面向对象（2）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9026pm3q.html">在腾讯云上安装mysql遇到的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zvgd3n9.html">python使用tkinter做界面之颜色</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9rdl15e8.html">安装MongoDB -- Windows平台</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdl1yd8.html">C&num;执行带参数的Oracle存储过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdl1l78.html">Linux的定时任务</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m1dpjq.html">html5 文件拖拽上传</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd364xq.html">JAVA LinkedList和ArrayList的使用及性能分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z17egx9.html">Word2007怎样从随意页開始设置页码 word07页码设置毕业论文</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m1jmjq.html">android 49 广播接收者中启动其他组件</a>
			</li>
						<li><a href="https://www.batexi.com/a/96on47j9.html">Innodb&lowbar;buffer&lowbar;pool&lowbar;pages&lowbar;dirty    &lbrack;一个故事&commat;MySQL DBA&rsqb;MYSQL</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd3okdq.html">Spring AOP &plus; AspectJ Annotation Example---reference</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdev12x9.html">jquery几个常用的demo</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
